Subject: Echinacea book

From: [email-masked] (Douglas Wiggins)
Date: Sat, 14 Jan 1995 21:07:00 GMT

BR>From: bfinley <[email-masked]>

BR>My name is Bryce Finley and I just wrote a small book on Echinacea with a
BR>friend and certified organic gardener. I've seen some posts here on echinace

BR>so thought I'd ask if anyone knows of stores in their area that might like
BR>to carry the book.

In Portland, Atlantis Rising Educational Center and Nature's Fresh
Northwest are two places which carry herbal books. If you plan to
approach Atlantis Rising, though, it had better be a good book - the
guy who owns that place has written a book of herbal pharmacology
which is nearly twice the size of the Physicians Desk Reference. If
he sees value in your book, you can bet it is a winner.

  -Douglas Wiggins [email-masked], Portland, Oregon
---
 * OLX 2.1 TD * Zoron Research, Inc. - Custom Glassblowing to spec